XOOPS Cube日本サイト (タグ: XCL2.1.8) http://dev.xoopscube.jp/tag/XCL2.1.8 最新公開記事 protectorとXOOPS_TRUST_PATH http://dev.xoopscube.jp/forum/6747 失礼します。XCL2.1.8でprotectorモジュールを設定しようかと思います。しかし当初からだと思うのですが、XOOPS_TRUST_PATHディレクトリ内にいろいろ入っていて、特にmodule内には bulletin d3blog d3forum d3pipes dbtheme pico protector wizmobile wizxc の名前がずらりと並んでいてびっくりです。そこで自分は少し前のVerのインストール情報を参考にしているため、最新Verでは初期状態で対応されているのかもしれないと思いとどまりました。下手に上書きしてしまってはいけませんので、、設定ではモジュール設定やインストール情報など何もありませんが、これは最初から動くようになっているのでしょうか。また自分が参考にしているのはmainfile.phpの最後部分を書き直すようにされています。今見直しても修正後のソレは2.1.8のmainfile.phpの同じ箇所とも違うのですが、書き直さなくてもよろしいでしょうか、、初期状態というより、他の方も質問してますし何かしなければならないのかとは考えているのですが、、まったく表示されていませんし他のモジュールを見ても動作してるとは少し疑問でして。便利なのばかりなのでそうだったらいいなぁと思いつつ今後どうしたらいいかを伺いたく質問させて頂きました。よろしくお願いします。 失礼します。
XCL2.1.8でprotectorモジュールを設定しようかと思います。
しかし当初からだと思うのですが、XOOPS_TRUST_PATHディレクトリ内にいろいろ入っていて、特にmodule内には bulletin d3blog d3forum d3pipes dbtheme pico protector wizmobile wizxc の名前がずらりと並んでいてびっくりです。
そこで自分は少し前のVerのインストール情報を参考にしているため、最新Verでは初期状態で対応されているのかもしれないと思いとどまりました。
下手に上書きしてしまってはいけませんので、、
設定ではモジュール設定やインストール情報など何もありませんが、これは最初から動くようになっているのでしょうか。
また自分が参考にしているのはmainfile.phpの最後部分を書き直すようにされています。
今見直しても修正後のソレは2.1.8のmainfile.phpの同じ箇所とも違うのですが、書き直さなくてもよろしいでしょうか、、
初期状態というより、他の方も質問してますし何かしなければならないのかとは考えているのですが、、
まったく表示されていませんし他のモジュールを見ても動作してるとは少し疑問でして。
便利なのばかりなのでそうだったらいいなぁと思いつつ今後どうしたらいいかを伺いたく質問させて頂きました。
よろしくお願いします。]]>
FlameRoad 2010-07-10T05:31+09:00 XCL2.1.8
x2.0.16a から XLC2.x へ http://dev.xoopscube.jp/forum/6725 x2.0.16aにてサイトを構築中ですアクセス数が急増し サーバが対応できなくなったので サーバ移転を行いますこのさい XLS2.x に変更したいと思います。いろいろアドバイスいただければ幸いです。XOOPS 2.0.16aモジュールALTSYS 0.55Mult-Menu 1.15Wordpress 0.5PICAL 0.91Logcounter 2.7Xhld 3.07(2.99)TinyD 2.25Downlord+file 1.18php Myadmin 2.6My_backup 1.1contactus 1links1.1不安なのは データベースの構築やXOOPSモジュールのセットアップの際2.0と相違があるかあと、上記モジュールが動作するかです。downlordモジュールまではできればモジュールを変更したくないです。(多数が使っているので 操作説明が大変という点があります)旧サーバから My_backupで新サーバにデータ移行する予定です。本サイトも含めいろいろなサイトを検索はしているのですがやはり経験されている諸先輩方に 具体例を提示しお教えいただくのが一番かと思い書き込みさせていただきました。よろしくお願いしますカテゴリは 最新安定板XCL2.1.8とさせていただきます x2.0.16aにてサイトを構築中です
アクセス数が急増し サーバが対応できなくなったので サーバ移転を行います

このさい XLS2.x に変更したいと思います。
いろいろアドバイスいただければ幸いです。

XOOPS 2.0.16a
モジュール
ALTSYS 0.55
Mult-Menu 1.15
Wordpress 0.5
PICAL 0.91
Logcounter 2.7
Xhld 3.07(2.99)
TinyD 2.25
Downlord+file 1.18
php Myadmin 2.6
My_backup 1.1
contactus 1
links1.1

不安なのは データベースの構築やXOOPSモジュールのセットアップの際
2.0と相違があるか
あと、上記モジュールが動作するかです。
downlordモジュールまではできればモジュールを変更したくないです。
(多数が使っているので 操作説明が大変という点があります)

旧サーバから My_backupで新サーバにデータ移行する予定です。

本サイトも含めいろいろなサイトを検索はしているのですが
やはり経験されている諸先輩方に 具体例を提示しお教えいただくのが一番かと思い
書き込みさせていただきました。

よろしくお願いします

カテゴリは 最新安定板XCL2.1.8とさせていただきます]]>
dperie 2010-06-03T12:38+09:00 XCL2.1.8
XCL2.1.8とPHP5.3.x http://dev.xoopscube.jp/forum/6687 XCL2.1.8をそのままPHP5.3.xで動かそうとするとFatalエラーにより大部分のページが白紙になってしまいます。その場合には下記をmodules/legacy/kernel/Legacy_Module.class.phpの402行目辺りに追加してください。これと管理画面の全般設定でPHPデバグをオフにすることでほぼ問題なく動作させることができるようになります。これはぜひ2.1.8に入れて欲しかったですね。。function Legacy_ModuleAdapter(&$module){ parent::Legacy_AbstractModule($module);} XCL2.1.8をそのままPHP5.3.xで動かそうとするとFatalエラーにより大部分のページが白紙になってしまいます。

その場合には下記をmodules/legacy/kernel/Legacy_Module.class.phpの402行目辺りに追加してください。
これと管理画面の全般設定でPHPデバグをオフにすることでほぼ問題なく動作させることができるようになります。
これはぜひ2.1.8に入れて欲しかったですね。。


function Legacy_ModuleAdapter(&$module)
{
    parent::Legacy_AbstractModule($module);
}
]]>
onokazu 2010-03-31T12:24+09:00 コア開発
XOOPS Cube Legacy 2.1.8日本語版 http://dev.xoopscube.jp/forum/6684 XOOPS Cube Legacy 2.1.8がリリースされましたが、公式に配布されているパッケージには日本語運用には不要な言語ファイルが多数含まれています。また、日本語UTF8言語ファイル(ja_utf8)がextrasフォルダにあり、UTF8版をインストールするには各モジュールの言語ファイルを移動しなくてはならないので少し面倒です。そこでjapanese/ja_utf8/english以外の言語ファイルやドキュメントファイルを取り除き、またja_utf8言語ファイルを各モジュールおよびインストーラへと移動済みのパッケージを作りました。zip/tar.gz版を下記よりダウンロードできます。元の配布パッケージが約10MBなのですが、3MB程度になりました。^^;XOOPS Cube Legacy 2.1.8日本語版(zip形式・3.5MB)http://xoopscube.jp/XOOPSCubeLegacy_Japanese-2.1.8.zipXOOPS Cube Legacy 2.1.8日本語版(tar.gz形式・2.4MB)http://xoopscube.jp/XOOPSCubeLegacy_Japanese-2.1.8.tar.gz XOOPS Cube Legacy 2.1.8がリリースされましたが、公式に配布されているパッケージには日本語運用には不要な言語ファイルが多数含まれています。また、日本語UTF8言語ファイル(ja_utf8)がextrasフォルダにあり、UTF8版をインストールするには各モジュールの言語ファイルを移動しなくてはならないので少し面倒です。

そこでjapanese/ja_utf8/english以外の言語ファイルやドキュメントファイルを取り除き、またja_utf8言語ファイルを各モジュールおよびインストーラへと移動済みのパッケージを作りました。zip/tar.gz版を下記よりダウンロードできます。元の配布パッケージが約10MBなのですが、3MB程度になりました。^^;

XOOPS Cube Legacy 2.1.8日本語版(zip形式・3.5MB)
http://xoopscube.jp/XOOPSCubeLegacy_Japanese-2.1.8.zip

XOOPS Cube Legacy 2.1.8日本語版(tar.gz形式・2.4MB)
http://xoopscube.jp/XOOPSCubeLegacy_Japanese-2.1.8.tar.gz]]>
onokazu 2010-03-29T13:02+09:00 その他